//
//  SileroVADExtension.hpp
//  SwitchboardSileroVAD
//
//  Created by Balazs Kiss on 2023. 02. 07..
//

#pragma once

#include <switchboard_silerovad/export.h>
#include <switchboard_core/Extension.hpp>

#if !defined(SWITCHBOARD_WEB)
extern "C" {
    void sb_extension_load();
}
#endif

namespace switchboard::extensions::silerovad {

class SWITCHBOARDSILEROVAD_EXPORT SileroVADExtension final : public Extension {
public:
    SileroVADExtension() = default;

    static void load();

    // MARK: Overridden methods

    std::string getName();
    std::string getDescription();
    std::shared_ptr<NodeFactory> getNodeFactory();
};
}
